document.addEventListener("click", function(event) {
  // Select the navbar toggler and collapse elements
  const navbarToggler = document.querySelector(".navbar-toggler");
  const navbarCollapse = document.querySelector(".navbar-collapse");

  // Check if the navbar is currently expanded (i.e., aria-expanded is true)
  const isNavbarOpen = navbarToggler.getAttribute("aria-expanded") === "true";

  // Check if the clicked target is outside the navbar items
  if (isNavbarOpen && !event.target.closest(".navbar-nav") && !event.target.closest(".navbar-toggler")) {
      // Collapse the navbar by triggering a click on the toggler button
      navbarToggler.click();
  }
});
